#!/bin/sh

BACKUP_DIR=$1
ASTAH_SHARE=/usr/local/astah-share-2_6
DATA_DIR=$ASTAH_SHARE/data

H2_PATH=$ASTAH_SHARE/server/webapps/astahshare/WEB-INF/lib/h2.jar
DB_USER=sa

DB_URL=jdbc:h2:file:/$DATA_DIR/db/jude-share_h2
ZIP_FILE=$BACKUP_DIR/backup.zip

echo remove data_dir
rm -rf $DATA_DIR/db
rm -rf $DATA_DIR/projects

echo cp backup to data_dir
cp -r $BACKUP_DIR/projects $DATA_DIR/projects

java -cp $H2_PATH org.h2.tools.RunScript -url $DB_URL -user $DB_USER -script $ZIP_FILE -options compression zip

echo restore is completed
